VERSION 5.00
Begin VB.Form frmSetup 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Welcome To QuadRill!"
   ClientHeight    =   4650
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   8475
   Icon            =   "frmSetup.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4650
   ScaleWidth      =   8475
   StartUpPosition =   3  'Windows Default
   Tag             =   "Z3RC4N35M"
   Begin VB.FileListBox File1 
      Height          =   1650
      Left            =   120
      Pattern         =   "*.qls"
      ReadOnly        =   0   'False
      TabIndex        =   9
      Top             =   2760
      Width           =   3015
   End
   Begin VB.CommandButton Command3 
      Caption         =   "Load Filename"
      Height          =   495
      Left            =   120
      TabIndex        =   8
      ToolTipText     =   "When you specify a file, the game will save to this file when you find an SFlag."
      Top             =   2160
      Width           =   3015
   End
   Begin VB.CheckBox Check1 
      Caption         =   "Music Enabled"
      Height          =   255
      Left            =   120
      TabIndex        =   2
      ToolTipText     =   "Turns music on or off."
      Top             =   1680
      Value           =   1  'Checked
      Width           =   1575
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Start"
      Default         =   -1  'True
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   18
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   615
      Left            =   3840
      TabIndex        =   1
      ToolTipText     =   "If you're ready to begin the game, then click here."
      Top             =   1680
      Width           =   2415
   End
   Begin VB.Label Label7 
      Alignment       =   2  'Center
      Caption         =   "Special thanks to www.xtremevbtalk.com and www.directx4vb.com for Tests and Development"
      Height          =   615
      Left            =   4080
      TabIndex        =   7
      Top             =   3960
      Width           =   3255
   End
   Begin VB.Label Label6 
      Alignment       =   2  'Center
      Caption         =   "This game was created using Microsoft Visual Basic 6.0"
      Height          =   255
      Left            =   3360
      TabIndex        =   6
      Top             =   3600
      Width           =   4935
   End
   Begin VB.Label Label5 
      Alignment       =   2  'Center
      Caption         =   "Artwork and Level Design by Iceplug"
      Height          =   255
      Left            =   3360
      TabIndex        =   5
      Top             =   3240
      Width           =   4935
   End
   Begin VB.Label Label4 
      Alignment       =   2  'Center
      Caption         =   "Background Music by Iceplug"
      Height          =   255
      Left            =   3360
      TabIndex        =   4
      Top             =   3000
      Width           =   4935
   End
   Begin VB.Label Label3 
      Alignment       =   2  'Center
      Caption         =   "Produced, Edited, and Directed by Iceplug"
      Height          =   255
      Left            =   3360
      TabIndex        =   3
      Top             =   2760
      Width           =   4935
   End
   Begin VB.Image Image1 
      Height          =   600
      Left            =   1680
      Picture         =   "frmSetup.frx":08CA
      Top             =   120
      Width           =   2700
   End
   Begin VB.Label Label1 
      Caption         =   $"frmSetup.frx":5D6C
      Height          =   855
      Left            =   120
      TabIndex        =   0
      Top             =   720
      Width           =   6135
   End
End
Attribute VB_Name = "frmSetup"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub Command1_Click()
If Len(DestFile) = 0 Then
    If MsgBox("You have not specified a file.  If you do not specify a file, you cannot resume this session upon exiting.  Are you sure that you want to do this?", vbYesNo + vbQuestion, "No filename specified.") = vbYes Then
        SoundOff = Not CBool(Check1.Value)
        Unload Me
        Load frmDDraw
    Else
        Command3.SetFocus
    End If
Else
    SoundOff = Not CBool(Check1.Value)
    Unload Me
    Load frmDDraw
End If
End Sub



Private Sub Command3_Click()
Dim FN As String
FN = InputBox("Enter the name of the filename (without extension or path)", "Load Game")
If Len(FN) > 0 And Len(Dir$(App.Path & "\" & FN & ".qls")) > 0 Then
    Command3.Caption = FN
    MsgBox "File accepted.", vbInformation, "Load Game"
    DestFile = FN
ElseIf Len(FN) > 0 Then
    MsgBox "File to be created", vbInformation, "Load Game"
    FN = "*" & FN
    DestFile = FN
    Command3.Caption = FN
Else
    MsgBox "File not loaded.", vbInformation, "Load Game"
    DestFile = ""
    Command3.Caption = "Load Filename"
End If
End Sub

Private Sub File1_Click()
Dim FN As String, Lc As Integer
'Lc = InStrRev(File1.Filename, "\")
FN = File1.Filename
FN = Left$(FN, Len(FN) - 4)
If Len(FN) > 0 And Len(Dir$(App.Path & "\" & FN & ".qls")) > 0 Then
    Command3.Caption = FN
    MsgBox "File accepted.", vbInformation, "Load Game"
    DestFile = FN
ElseIf Len(FN) > 0 Then
    MsgBox "File to be created", vbInformation, "Load Game"
    FN = "*" & FN
    DestFile = FN
    Command3.Caption = FN
Else
    MsgBox "File not loaded.", vbInformation, "Load Game"
    DestFile = ""
    Command3.Caption = "Load Filename"
End If
End Sub

Private Sub Form_Load()
File1.Path = App.Path
End Sub
